canlock-mhp(1)

NAME
canlock-mhp - CLI frontend for libcanlock library

SYNOPSIS
canlock-mhp -h | -v

canlock-mhp -f fieldname

DESCRIPTION
Message Header Parser (mhp) for RFC5536 conformant Netnews articles.

The name of a single header field must be specified with the -f option.

The message in canonical format (with US-ASCII encoded CRLF line breaks) is read from stdin. If the message is in some local format (e.g. EBCDIC encoded or with LF line breaks), it must be converted to canonical format before it can be used as input.

The input data may be a naked header without message body, but the empty line separator after the header must always be present. The syntax of the extracted header field is not checked beyond the folding. The rest of the message need not be fully RFC5536 conformant too, as long as all header fields start on new lines (and are correctly folded, so that there is no ambiguity). Common syntax errors (like 8-bit characters in the header) are ignored.

If the specified header field is found, it is extracted, unfolded and printed to stdout (without trailing line break).

If there are multiple header fields with the specified name, the first one is used.

OPTIONS
The following options are supported:

-f fieldname
    Specify the header field name to search for (without the colon).

-h  Print help message, then exit.

-v  Print version and compile time options, then exit.

EXIT STATUS
Zero on success or regular exit respectively.
All other values indicate an error.

AUTHORS
Michael Baeuerle

REPORTING BUGS
Report bugs to <mailto:michael.baeuerle@gmx.net>.

STANDARDS
canlock-mhp tries to comply with the following standards:

RFC 5536

SEE ALSO
canlock-hfp(1), canlock(1)